/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: CommentImpl.java 511426 2007-02-25 03:25:02Z vgritsenko $
 */

package org.apache.xindice.xml.dom;

import org.w3c.dom.Comment;
import org.w3c.dom.Node;

/**
 * CommentImpl
 *
 * @version $Revision: 511426 $, $Date: 2007-02-24 22:25:02 -0500 (Sat, 24 Feb 2007) $
 */
public final class CommentImpl extends CharacterDataImpl implements Comment {

    public CommentImpl() {
    }

    public CommentImpl(NodeImpl parentNode, byte[] data, int pos, int len) {
        super(parentNode, data, pos, len);
    }

    public CommentImpl(NodeImpl parentNode, boolean dirty) {
        super(parentNode, dirty);
    }

    public CommentImpl(NodeImpl parentNode, String nodeValue) {
        super(parentNode, nodeValue);
    }

    public short getNodeType() {
        return Node.COMMENT_NODE;
    }

    public String getNodeName() {
        return "#comment";
    }
}
