/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: UnitTests.java 518852 2007-03-16 03:35:49Z vgritsenko $
 */

package org.apache.xindice;

import org.apache.xindice.core.filer.Filer;
import org.apache.xindice.core.filer.FilerTestBase;

import junit.framework.Test;
import junit.framework.TestSuite;
import junit.textui.TestRunner;

/**
 * @version $Revision: 518852 $, $Date: 2007-03-15 23:35:49 -0400 (Thu, 15 Mar 2007) $
 * @author Vladimir R. Bossicard <vladimir@apache.org>
 * @author Kimbro Staken <kstaken@xmldatabases.org>
 */
public class UnitTests {

    public static void main(String[] args) {
        TestRunner.run(UnitTests.suite());
    }

    public static Test suite() {
        TestSuite suite = new TestSuite("Xindice unit tests");

        // If the Berkeley filer was built in then test it too.
        try {
            Class filerClass = Class.forName("org.apache.xindice.core.filer.BerkeleyBTreeFiler");
            Filer filer = (Filer) filerClass.newInstance();
            suite.addTest(new FilerTestBase("BerkeleyFilerTestCase", filer){});
        } catch (Exception e) {
            // If the class wasn't built just ignore it.
        }

        return suite;
    }
}
